Skip to main content

Update Values

UpdateValues writes values to a range.

It calls PUT https://sheets.googleapis.com/v4/spreadsheets/{spreadsheetId}/values/{range}.

The activity has 4 tabs: Configuration, Auth, Input, and Output.

Configuration

FieldRequiredDescription
NameOptionalName of the step, should be unique within this workflow.
DescriptionOptionalDescribe the purpose or function of this step.
Spreadsheet IdOptionalEnter the ID of the spreadsheet to access.
RangeOptionalSpecify the range of cells to access in the spreadsheet.
Value Input OptionOptionalSpecify how the input data should be interpreted.
Include Values In ResponseOptionalIndicate if the response should include the values of the cells.
Response Value Render OptionOptionalSpecify how the response values should be rendered.
Response Date Time Render OptionOptionalSpecify how date and time values should be rendered in the response.

Auth

FieldRequiredDescription
Auth TypeOptionalThe authentication method for the request. OAuth 2 is the only option, and the default.
Auth ResourceOptionalOAuth resource containing credentials.

Input

This activity is built on the REST Client, so the Input tab is the generic HTTP request rather than a Google Sheets-shaped payload.

FieldRequiredData TypeDescription
TargetRequiredObjectThe HTTP request.

Output

The activity returns an httpResponse object.

FieldData TypeDescription
status.codeIntegerNumeric HTTP status code.
status.messageStringShort message associated with the HTTP status.
headersObjectHTTP response headers.
bodyObjectParsed body of the response.

The response body carries:

FieldData TypeDescription
spreadsheetIdString
updatedRangeString
updatedRowsInteger
updatedColumnsInteger
updatedCellsInteger
updatedDataObjectData within a range of the spreadsheet.